summaryrefslogtreecommitdiff
path: root/script/cibuild
diff options
context:
space:
mode:
authorTomas Barton <barton.tomas@gmail.com>2013-10-13 18:21:07 +0200
committerTomas Barton <barton.tomas@gmail.com>2013-10-13 18:21:07 +0200
commit1bc94a452f234321c903110f1b5999cdb928a6d9 (patch)
treed20210bd01c1758028e00628f373c1fefbf5eafd /script/cibuild
parent342ea7aa15a54c33ec4a12cf10b7b1a0c9811dba (diff)
travis integration
Diffstat (limited to 'script/cibuild')
-rwxr-xr-xscript/cibuild9
1 files changed, 9 insertions, 0 deletions
diff --git a/script/cibuild b/script/cibuild
new file mode 100755
index 0000000..d1c8c06
--- /dev/null
+++ b/script/cibuild
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+
+set -e
+
+[ -z "${PUPPET_VERSION}" ] && script/bootstrap
+
+bundle exec rspec
+
+bundle exec puppet-lint --with-filename --fail-on-warnings manifests